Subject: Re: [bug#44700] services: setuid: More configurable setuid support.

From: Christopher Lemmer Webber <[email-masked]>
Date: Wed, 14 Apr 2021 13:06:28 -0400

Ludovic Courtès writes:

> Hi Chris!
>
> Christopher Lemmer Webber <[email-masked]> skribis:
>
>> Ludovic Courtès writes:
>
> [...]
>
>>> Maybe what we could do is rename ‘operating-system-setuid-programs’ to
>>> ’%operating-system-setuid-programs’, keep that internal, and add a new
>>> ‘operating-system-setuid-programs’ that calls the other one and
>>> “canonicalizes” list entries so that they’re all <setuid-program>
>>> records.
>>
>> "rename"?  There is no operating-system-setuid-programs so I'm not sure
>> what you mean to rename from... setuid-program-entry, or presumably
>> activate-setuid-programs...?
>
> I’m referring to the <operating-system> accessor called
> ‘operating-system-setuid-programs’, in (gnu system).

I think it makes sense from the fog of my memory of this issue.  But I'm
also going to note: I haven't gotten to this in a while, and I feel
guilty about that.  :(

I'm very overwhelmed right now.  If nobody picks this up where I left it
off I probably can, but I am probably blocked for the next couple of
months with urgent tasks... which is a shame for something that looked
so close to landing.  If anyone wants to get this to the last mile and
address Ludo's feedback they are welcome to in the meanwhile.